Skip to main content
Resource Center/Network Resource/L3 Network Operations

UpdateIpRange

UpdateIpRange

PUT/zstack/v1/l3-networks/ip-ranges/{uuid}/actions

Operation ID

UpdateIpRange

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

Body Fields

  • name
    String

    Optional. The L3 network name.

  • description
    String

    Optional. The detailed description of the L3 network.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    IpRangeInventoryRequired

    See inventory.

    • uuid
      StringRequired

      The resource UUID.

    • l3NetworkUuid
      StringRequired

      The L3 network UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • startIp
      StringRequired

      The start IP.

    • endIp
      StringRequired

      The end IP.

    • netmask
      StringRequired

      The netmask.

    • prefixLen
      StringRequired

      The prefix length.

    • gateway
      StringRequired

      The gateway IP address.

    • networkCidr
      StringRequired

      The network cidr.

    • ipVersion
      IntegerRequired

      The IP version.

    • addressMode
      StringRequired

      The allocation mode of the IPv6 address.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.